Description

Supportanfrage

gibt es einen Weg um sicherzustellen, dass die übermittelten Daten kein Padding haben wenn media descriptions genutzt werden?

Müsste dafür eventuell etwas an unseren media descriptions angepasst werden?

Use Case ist folgender: Wenn wir mit unterschiedlichen Rechnern bzw. Transport Layern arbeiten möchten wir sichergehen, dass

die Daten kein Padding enthalten.

Lösung

Für die serialisierte Form gibt es bereits etwas innerhalb der DDL, siehe 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf3_and_ddl.html#sec_adtf3_and_ddl_serialization und 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_ddl_specification.html#sec_adtf_desc_structs

History

#1 - 2021-08-18 14:15 - hidden

- Status changed from New to In Progress

- Customer set to CARIAD

- Topic set to ADTF::MediaDescription

#3 - 2021-08-18 14:29 - hidden

Hi Dennis,

kannst du das etwas genauer ausführen? Woher kommen die Daten und welches Padding meinst du (zwischen Membern aufgrund des Alignments)?

Welche Übertragung meinst du (über eine selbstimplementierte IPC)?

Kann es sein, dass du eigentlich von einer Serialisierung sprichst? Genau dafür gibt es die zweite Represäntation in der DDL. Siehe 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf3_and_ddl.html#sec_adtf3_and_ddl_serialization und 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_ddl_specification.html#sec_adtf_desc_structs

Grüße,

Martin

#4 - 2021-08-18 14:39 - hidden

Hallo Martin,

ja genau es ging eigentlich um die Serialisierung die ich meinte. Das Thema hat sich mittlerweile auch schon geklärt.

Das Ticket kann also wieder geschlossen werden.

Danke dir und Viele Grüße

Dennis
- Project changed from 30 to Public Support

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2022-01-24 11:44 - hidden

- Status changed from To Be Closed to Closed
